ubuntu 安装 fabric 步骤

访问量: 704

一句话:$ sudo apt-get install fabric

以下的不用看了。

我是个python 盲,近期一个项目的部署要用到fabric,所以记录一下步骤:

1. 先安装pip (估计类似于rubygem)
http://www.pip-installer.org/en/latest/installing.html

$ curl -O https://raw.github.com/pypa/virtualenv/master/virtualenv.py
$ python virtualenv.py my_new_env

2. 再安装 fabric
$ . my_new_env/bin/activate
(my_new_env)$ pip install fabric

结果遇到问题:

creating build/temp.linux-i686-2.7
creating build/temp.linux-i686-2.7/src
gcc -pthread -fno-strict-aliasing -fwrapv -Wall -Wstrict-prototypes -fPIC -std=c99 -O3 -fomit-frame-pointer -Isrc/ -I/usr/include/python2.7 -c src/MD2.c -o build/temp.linux-i686-2.7/src/MD2.o
src/MD2.c:31:20: fatal error: Python.h: No such file or directory
compilation terminated.
error: command 'gcc' failed with exit status 1

google了一下, 原来是少了deb包,

$ sudo aptitude install python2.7-dev

然后再:

(my_new_env)$ pip install fabric

Successfully installed pycrypto
Cleaning up...

可是运行 fab 却不成功。 查看了下官方文档,fabric只支持pythong 2.5, 2.6 ,不支持2.4 以及3.0

$ sudo apt-get install fabric
搞定。

订阅/RSS Feed

Subscribe

分类/category